SET(CIMG_PREFIX "" CACHE PATH "path ")

FIND_PATH(CIMG_INCLUDE_DIR CImg.h
    PATHS ${CIMG_PREFIX}/include /usr/include /usr/local/include )

IF(CIMG_INCLUDE_DIR)
    SET(CIMG_FOUND TRUE)
ENDIF()

IF(CIMG_FOUND)
   IF(NOT CIMG_FIND_QUIETLY)
      MESSAGE(STATUS "Found CIMG: ${CIMG_INCLUDE_DIR}")
   ENDIF()
ELSEIF(CIMG_FOUND)
   IF(CIMG_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find CIMG")
   ENDIF()
ENDIF()
